package com.adealink.weparty.country.datasource

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.account.AccountModule
import com.adealink.weparty.storage.PREF_COUNTRY

object CountyLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_COUNTRY, Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {

    var countryList: String by PrefKey("key_country_list", "")
}